#!/usr/bin/perl

$file = "scan.txt";
if ($#ARGV >= 0)
{
	$file = $ARGV[0];
}

$result = `head -n 1 $file`;
chomp($result);
print "Start: $result\n";
print "Correct First Guess:\n";

$result = `cat $file | grep \"\^\\\+\\\\|\^\\\~\" | wc -l`;
chomp($result);
print "  Total:        $result\n";
$result = `cat $file | grep \"\^\\\+\" | grep "NMAP is sure" | wc -l`;
chomp($result);
print "    Sure:       $result\n";
$result = `cat $file | grep \"\^\\\~\" | grep "NMAP is sure" | wc -l`;
chomp($result);
print "    Probably:   $result\n";
$result = `cat $file | grep \"\^\\\+\" | grep "NMAP guesses" | wc -l`;
chomp($result);
print "    Guess:      $result\n";

print "Incorrect First Guess:\n";
$result = `cat $file | grep \"\^\\\-\" | wc -l`;
chomp($result);
print "  Total:        $result\n";
$result = `cat $file | grep \"\^\\\-\" | grep "NMAP is sure" | wc -l`;
chomp($result);
print "    Sure:       $result\n";
$result = `cat $file | grep \"\^\\\-\" | grep "NMAP guesses" | wc -l`;
chomp($result);
print "    Guess:      $result\n";
$result = `cat $file | grep \"\^\\\-\" | grep "NMAP found too many" | wc -l`;
chomp($result);
print "    Too many:   $result\n";
$result = `cat $file | grep \"\^\\\-\" | grep "NMAP found no match" | wc -l`;
chomp($result);
print "    No match:   $result\n";

$result = `tail -n 2 $file`;
chomp($result);
print "End:   $result";

print "-"x75 . "\n";
